! Programa que lê N numeros e conta o total de numeros pares que foram lidos
program conta_numeros_pares 
   implicit none
   integer numero, N, cont, cont_par

   write(*, *) "Programa que le N numeros e conta o total de numeros pares que foram lidos"
   write(*, *)
   write(*, *) "Digite o valor de N: "
   read(*, *) N

   cont_par = 0
   write(*, *) "Digite os N numeros"
   do cont = 1, N, 1  
      read(*, *) numero
      if (mod(numero, 2) == 0) then
         cont_par = cont_par + 1
      end if
   end do  
   
   write(*, *) "Total de numeros pares lidos: ", cont_par
   
   stop 
end program conta_numeros_pares